Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Forward_StringIterator Class Reference

A const non-random access iterator that iterates over a String in the forward direction. More...

`#include <inti/utf-string.h>`

Inheritance diagram for Inti::Forward_StringIterator:

List of all members.

## Public Member Functions

Construcors

- Forward_StringIterator ()
    Default constructor.
- Forward_StringIterator (const char *pos)
    Construct a new iterator that points to pos.
- Forward_StringIterator (const Forward_StringIterator &src)
    Copy constructor.
- Forward_StringIterator & operator= (const Forward_StringIterator &src)
    Assignment operator.

Iterate in the forward direction

- Forward_StringIterator & operator++ ()
    Prefix increment operator.
- Forward_StringIterator operator++ (int)
    Postfix increment operator.

Iterate in the reverse direction

- Forward_StringIterator & operator-- ()
    Prefix decrement operator.
- Forward_StringIterator operator-- (int)
    Postfix decrement operator.

## Detailed Description

A const non-random access iterator that iterates over a String in the forward direction.

## Constructor & Destructor Documentation

Inti::Forward_StringIterator::Forward_StringIterator | ( | const char * | pos | ) |

  | Construct a new iterator that points to pos. Parameters:
  pos | The first byte of the UTF-8 character the new iterator is to points to.

Inti::Forward_StringIterator::Forward_StringIterator | ( | const Forward_StringIterator & | src | ) |

  | Copy constructor. Parameters:
  src | The Forward_StringIterator instance to copy.

## Member Function Documentation

Forward_StringIterator Inti::Forward_StringIterator::operator++ | ( | int |  | ) |

| Postfix increment operator. Moves the iterator so that it points to the next UTF-8 character.

Forward_StringIterator& Inti::Forward_StringIterator::operator++ | ( |  | ) |

| Prefix increment operator. Moves the iterator so that it points to the next UTF-8 character.

Forward_StringIterator Inti::Forward_StringIterator::operator-- | ( | int |  | ) |

| Postfix decrement operator. Moves the iterator so that it points to the previous UTF-8 character.

Forward_StringIterator& Inti::Forward_StringIterator::operator-- | ( |  | ) |

| Prefix decrement operator. Moves the iterator so that it points to the previous UTF-8 character.

Forward_StringIterator& Inti::Forward_StringIterator::operator= | ( | const Forward_StringIterator & | src | ) |

  | Assignment operator. Parameters:
  src | The Forward_StringIterator whose value is to be copied and assigned to this iterator.

The documentation for this class was generated from the following file:

- utf-string.h

Main Page - Footer